package ir.almahdi.sandogh_bsa_aza.vam_ha_ozv.model;

public class md_vam_karbar {

    private String id_par_vam_nbt;
    private String id_ozviat;
    private String mablagh_vam_par;
    private String bazpard_vam_mah;
    private String tarikh_par_vam;
    private String id_parchk_san;
    private String mande_vam;
    

    public String getMablagh_gh_vam_nob() {
        return mablagh_gh_vam_nob;
    }

    private void setMablagh_gh_vam_nob(String mablagh_gh_vam_nob) {
        this.mablagh_gh_vam_nob = mablagh_gh_vam_nob;
    }

    private String mablagh_gh_vam_nob;

    public String getMande_vam() {
        return mande_vam;
    }

    private void setMande_vam(String mande_vam) {
        this.mande_vam = mande_vam;
    }

//    id_par_vam_nbt"] ;
//    ["mande"]
//    $temp["mablagh_vam_par"]
//    $temp["bazpard_vam_mah"]
//    $temp["tarikh_par_vam"]
//    $temp["mablagh_gh_vam_nob

    public md_vam_karbar(String id_par_vam_nbt, String mande_vam, String mablagh_vam_par, String bazpard_vam_mah,
                         String tarikh_par_vam, String mablagh_gh_vam_nob, String id_ozviat) {
        if (!id_par_vam_nbt.equals("0")){
            setId_par_vam_nbt(id_par_vam_nbt.substring(3));
            setBazpard_vam_mah(bazpard_vam_mah);
            setId_ozviat(id_ozviat);
            setMablagh_gh_vam_nob(mablagh_gh_vam_nob);
            setMablagh_vam_par(mablagh_vam_par);
            setMande_vam(mande_vam);
            setTarikh_par_vam(tarikh_par_vam);
            }
        else{setId_par_vam_nbt("0");
            setBazpard_vam_mah("0");
            setId_ozviat("0");
            setMablagh_gh_vam_nob("0");
            setMablagh_vam_par("0");
            setMande_vam("0");
            setTarikh_par_vam("0");

        }

        //        this.id_par_vam_nbt = id_par_vam_nbt;
//        this.id_ozviat = id_ozviat;
//        this.mablagh_vam_par = mablagh_vam_par;
//        this.bazpard_vam_mah = bazpard_vam_mah;
//        this.tarikh_par_vam = tarikh_par_vam;
//        this.id_parchk_san = id_parchk_san;
//        //id_par_vam_nbt,id_ozviat,mablagh_vam_par,bazpard_vam_mah,tarikh_par_vam,id_parchk_san
//        this.mande_vam = mande_vam;
    }


    public String getId_par_vam_nbt() {
        return id_par_vam_nbt;
    }

    private void setId_par_vam_nbt(String id_par_vam_nbt) {
        this.id_par_vam_nbt = id_par_vam_nbt;
    }

    public String getId_ozviat() {
        return id_ozviat;
    }

    private void setId_ozviat(String id_ozviat) {
        this.id_ozviat = id_ozviat;
    }

    public String getMablagh_vam_par() {
        return mablagh_vam_par;
    }

    private void setMablagh_vam_par(String mablagh_vam_par) {
        this.mablagh_vam_par = mablagh_vam_par;
    }

    public String getBazpard_vam_mah() {
        return bazpard_vam_mah;
    }

    private void setBazpard_vam_mah(String bazpard_vam_mah) {
        this.bazpard_vam_mah = bazpard_vam_mah;
    }

    public String getTarikh_par_vam() {
        return tarikh_par_vam;
    }

    private void setTarikh_par_vam(String tarikh_par_vam) {
        this.tarikh_par_vam = tarikh_par_vam;
    }

    public String getId_parchk_san() {
        return id_parchk_san;
    }

    private void setId_parchk_san(String id_parchk_san) {
        this.id_parchk_san = id_parchk_san;
    }


    }
